﻿Imports System.IO

Public Class MainForm
	' Loads and shows the report.
	Private Sub MainForm_Load(ByVal sender As System.Object, ByVal e As EventArgs) Handles MyBase.Load
		Dim rptPath As New FileInfo("..\..\OdbcReport.rdlx")
		Dim pageReport As New PageReport(rptPath)
		AddHandler pageReport.Document.LocateDataSource, AddressOf OnLocateDataSource
		reportPreview.LoadDocument(pageReport.Document)
	End Sub

	' <entext>The handler of <see cref="PageDocument.LocateDataSource"/> that returns appropriate data for a report.</entext><jptext>レポート用の適当なデータを返す<see cref="PageDocument.LocateDataSource"/>のハンドラ。</jptext>
	Private Sub OnLocateDataSource(ByVal sender As Object, ByVal args As LocateDataSourceEventArgs)
		Dim data As New Object
		Dim dataSourceName As String = args.DataSourceName
		Dim source As New DataLayer()
		If (dataSourceName = "DataSource1") Then
			data = source.CreateData()
		End If
		args.Data = data
	End Sub
End Class
